libvchan-xen (4.2.1-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Tue, 25 Apr 2023 22:59:39 +0200

libvchan-xen (4.2.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix use after free detected by GCC 13

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * archlinux: support for new packaging in legacy builder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Apr 2023 22:59:39 +0200

libvchan-xen (4.2.0-1) unstable; urgency=medium

  * Interface for async client connection
  * Make all the public function deal with half-open client vchan
  * Properly define soname
  * Link with libxenstore
  * debian: rename package for proper soname handling
  * debian: fail the build if files are missing
  * debian: bump compat level to 10

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 05:02:12 +0100

libvchan-xen (4.1.12-1) unstable; urgency=medium

  * debian: do not hardcode libxenstore version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Dec 2022 18:45:10 +0100

libvchan-xen (4.1.11-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Stricter domid validation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Dec 2022 02:29:24 +0100

libvchan-xen (4.1.10-1) wheezy; urgency=medium

  [ Demi Marie Obenour ]
  * Add missing <stdbool.h> include
  * Avoid using reserved identifiers in macros
  * Better build system
  * Validate peer domain IDs
  * Validate port numbers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 13 Nov 2022 00:00:45 +0100

libvchan-xen (4.1.9-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow controlling the blocking flag of a vchan

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 11 Nov 2022 11:41:48 +0100

libvchan-xen (4.1.8-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Make the code compile with MinGW
  * Add Makefile for MinGW build

  [ Mikhail Lukashov ]
  * windows: improve logging

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * ci: include windows build too

  [ Frédéric Pierret (fepitre) ]
  * Makefile.builder: restrict build for BACKEND_VMM=xen

  [ Demi Marie Obenour ]
  * Do not leak Xen control interface
  * Avoid leaks in libvchan_server_init()
  * libvchan_client_init(): avoid leaking resources
  * Include <stddef.h> before using size_t
  * Switch from select() to poll()
  * Add -D_FORTIFY_SOURCE=2 unconditionally

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 31 Aug 2022 09:33:23 +0200

libvchan-xen (4.1.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * archlinux: fix missing symlink in refactor

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 31 Dec 2020 13:30:26 +0100

libvchan-xen (4.1.6-1) unstable; urgency=medium

  * Include extra 'backend_vmm' variable in pkgconfig file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 01 Dec 2020 06:17:13 +0100

libvchan-xen (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Create symlink to vchan-xen.pc
  * archlinux: polish PKGBUILD
  * debian: provide generic libvchan{,-dev} packages
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * Remove u2mfn lib

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Nov 2020 00:45:24 +0100

libvchan-xen (4.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * travis: switch to dom0 Fedora 31
  * Update travis

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 31 Aug 2020 04:06:31 +0200

libvchan-xen (4.1.3-1) unstable; urgency=medium

  * Rebuild for CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 15 Oct 2019 03:05:34 +0200

libvchan-xen (4.1.2-1) unstable; urgency=medium

  * travis: switch to xenial
  * Check if domain is alive using domctl

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 21 Sep 2019 03:53:38 +0200

libvchan-xen (4.1.1-1) unstable; urgency=medium

  * Drop obsolete make targets
  * Make the makefile more flexible, introduce PREFIX, LIBDIR,
    INCLUDEDIR
  * rpm: make use of improved make file
  * debian: make use of more flexible makefile
  * travis: update distributions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Sep 2019 04:25:31 +0200

libvchan-xen (4.1.0-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * debian: add autotools-dev to build-depends
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Feb 2019 02:48:47 +0100

libvchan-xen (4.0.5-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 20:28:20 +0200

libvchan-xen (4.0.4-1) unstable; urgency=medium

  * rpm: add BR: gcc
  * travis: update Fedora and Debian versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Oct 2018 22:50:37 +0200

libvchan-xen (4.0.3-1) unstable; urgency=medium

  * windows: update for vs2017

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Jul 2018 16:27:02 +0200

libvchan-xen (4.0.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Adjust snprintf string limit

  [ Frédéric Pierret ]
  * Create spec.in and Source0
  * Remove _builddir
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update for R4.0, bump Fedora versions
  * travis: add centos7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 May 2018 01:12:58 +0200

libvchan-xen (4.0.1-1) unstable; urgency=medium

  [ Ilpo Järvinen ]
  * Typo fix to description

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Feb 2018 15:16:33 +0100

libvchan-xen (4.0.0-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Aug 2017 11:26:14 +0200

libvchan-xen (3.2.1-1) unstable; urgency=medium

  * Don't require xen-devel when building other packages linked with
    vchan
  * travis: drop debootstrap workaround
  * Cleanup empty xenstore directory after removing connection data

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Apr 2017 13:52:30 +0200

libvchan-xen (3.2.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: initial version

  [ WetwareLabs ]
  * Fix building for Xen 4.7.0
  * Add libxenctlr dependency
  * Move libxenctrl dependency to Makefile

  [ Marek Marczykowski-Górecki ]
  * Allow building with Xen 4.6 and 4.7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Sep 2016 01:29:39 +0200

libvchan-xen (3.1.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * studom: fix building with Xen 4.6
  * Remove redundant link option
  * debian: do not depend on specific Xen version

  [ Rafał Wojdyła ]
  * windows: update for pvdriver changes
  * windows: update logger type
  * windows: automatic VS project formatting
  * windows: define meaningful perror() in vchan-test
  * windows: return ERROR_NOT_SUPPORTED if xeniface is unavailable

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 14:44:50 +0100

libvchan-xen (3.0.8-1) wheezy; urgency=medium

  [ Rafał Wojdyła ]
  * windows: don't close invalid handles
  * windows: support logging using xeniface logger
  * windows: account for xenstore watches being triggered immediately
    after creation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Aug 2015 05:11:24 +0200

libvchan-xen (3.0.7-1) wheezy; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Aug 2015 05:05:12 +0200

libvchan-xen (3.0.6-1) wheezy; urgency=medium

  [ Wojtek Porczyk ]
  * spec: -devel Requires: xen-devel

  [ Olivier MEDOC ]
  * archlinux: Change library name to match QubesR3 name

  [ Wojtek Porczyk ]
  * debian/control: libvchan-xen-dev Depends: libxen-dev

  [ Marek Marczykowski-Górecki ]
  * Add test program
  * Ignore EINTR in libvchan_wait

  [ Rafał Wojdyła ]
  * windows: update for new pvdrivers
  * windows: fixed signing
  * windows: added test program
  * windows: updated gitignore
  * windows: moved common property sheet
  * windos: removed default sign/wix scripts
  * enabled code analysis on debug build
  * windows: close xeninterface on client close
  * windows: allow libvchan_close on null control struct
  * windows: share more common properties in projects
  * windows: installer cleanup
  * windows: prevent installer name collision

  [ Marek Marczykowski-Górecki ]
  * windows: fix libvchan_close(NULL) handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Jul 2015 07:07:18 +0200

libvchan-xen (3.0.5-1) wheezy; urgency=medium

  * Rearrange error handling in libvchan_client_init, no functional
    change
  * Do not use global xc_interface, open separate one for each vchan
    connection
  * Simplify watch loop in libvchan_client_init

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 May 2015 13:10:28 +0200

libvchan-xen (3.0.4-1) wheezy; urgency=medium

  * Check if remote domain is still alive

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Apr 2015 13:22:00 +0200

libvchan-xen (3.0.3-1) wheezy; urgency=medium

  * rpm: remove duplicated Group: header

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Apr 2015 03:08:10 +0200

libvchan-xen (3.0.2-1) wheezy; urgency=medium

  * Provide description of libxenvchan_is_open return values
  * client: watch for remote domain shutdown during client
    initialization

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Apr 2015 00:10:14 +0200

libvchan-xen (3.0.1-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * debian: Converted Debian packaging to quilt to allow patches
  * debian: Refactor Debian quilt packaging
  * debian: Modified copy-in for patches not to fail if no patch script
    exists to allow removing patches in future
  * debian: Revert back to using libxen-dev and libxen as depends
  * debian:  Add extend-diff-ignore options to debian packager

  [ Marek Marczykowski-Górecki ]
  * Prevent loopback connections, which currently crashes the kernel

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Mar 2015 00:28:10 +0100

libvchan-xen (3.0.0-1) jessie; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: fix deps for jessie build

  [ Marek Marczykowski ]
  * New vchan API - make it based on libxenvchan (upstreamed version of
    vchan)
  * Rename library to libvchan-xen, update rpm headers
  * Remove libvchan_get_domain_name
  * restore slow check in libvchan_is_open
  * gitignore update
  * client: notify the server when connected
  * init/client: properly get own domain ID
  * Fix minor memleak.
  * Remove vchan connection data from xenstore on vchan close
  * client: Rebuild xs_path when own domid changed

  [ Marek Marczykowski-Górecki ]
  * remove xenstore entries just after establishing connection
  * Add missing 'const'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 22 Nov 2014 16:24:06 +0100

libvchan-xen (2.2.8) jessie; urgency=medium

  [ Davíð Steinn Geirsson ]
  * Add initial debian packaging

  [ Marek Marczykowski-Górecki ]
  * debian: change package name to libvchan-xen, split headers to -dev
    pkg
  * gitignore

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Jul 2014 02:42:33 +0200

libvchan-xen (2.2.7) jessie; urgency=low

  * Initial Release.

 -- Davíð Steinn Geirsson <david@dsg.is>  Sun, 20 Apr 2014 19:18:18 +0000
